Subject: Re: Confusion using git on svn server

From: Matthieu Stigler <[email-masked]>
Date: Sun, 21 Jun 2009 11:09:18 +0200

Florian Weimer a écrit :
> * Matthieu Stigler:
>
>   
>> My main concern is that in my git log, I have a commit and its
>> "revert", will it be sent as two different commits to svn? I would
>> love they are not sent at all as they represent a "neutral" operation.
>>     
>
> They will be sent as a separate commits by default.
>
> You can use "git rebase -i git-svn" to edit your local history before
> submitting it, though.
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>   
Excellent! This is exactly what I was looking for, thanks!

I had a minor issue as the commits I wanted to remove (a modif and its 
revert) were the last one, so I could not remove both in the same time, 
as said:

However, if you remove everything, the rebase will be aborted.

So I just added a minor third commit in order to remove the two first. 
Is there a better way to do than this workaround? Something with git 
rebase --onto (two last?)

Thanks a lot!